summaryrefslogtreecommitdiff
path: root/dh_perl
diff options
context:
space:
mode:
authorNiko Tyni <ntyni@debian.org>2010-05-08 13:32:27 +0300
committerJoey Hess <joey@kitenet.net>2010-05-11 16:51:46 -0400
commit8835232b3202c373c2297121c70df62dbfa2b515 (patch)
treebe18755152c510d48249aef504e1c034ad06d27a /dh_perl
parentc77e9d08ced12f8180a3f1c173570cbfe569c2da (diff)
Use $Config{debian_abi} to generate the perlapi-* dependency
As per the upcoming policy change discussed in #579457, perlapi-$Config{debian_abi} is preferred over perlapi-$Config{version} where available.
Diffstat (limited to 'dh_perl')
-rwxr-xr-xdh_perl3
1 files changed, 2 insertions, 1 deletions
diff --git a/dh_perl b/dh_perl
index d43043f..5739ca9 100755
--- a/dh_perl
+++ b/dh_perl
@@ -128,7 +128,8 @@ foreach my $package (@{$dh{DOPACKAGES}}) {
unless $perl eq 'perl-base' && ! length($version);
# add perlapi-<ver> for XS modules
- addsubstvar($package, "perl:Depends", "perlapi-$Config{version}")
+ addsubstvar($package, "perl:Depends",
+ "perlapi-" . ($Config{debian_abi} || $Config{version}))
if $deps & XS_MODULE;
}